/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JDialog.java to edit this template
 */
package Vista;

import Controlador.SucursalControl;
import javax.swing.JOptionPane;

/**
 *
 * @author mateochamba
 */
public class FrmVentas extends javax.swing.JDialog {
    private ModeloTablaVenta modelo = new ModeloTablaVenta();
    private SucursalControl control;
    private int fila =-1;
    
     public FrmVentas(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        cargarTabla();
        
    }
     public FrmVentas(java.awt.Frame parent, boolean modal,SucursalControl sc) {
        super(parent, modal);
        initComponents();
        this.control = sc;
        cargarTabla();
        lblSucursal.setText(sc.getSucursal().getNombre());
        
    }
     private void cargar(){
        modelo.setDatos(control.getSucursal().getVentas());
        tblTabla.setModel(modelo);
        tblTabla.updateUI();
     }
     private void cargarTabla(){
        tblTabla.setModel(modelo);
        tblTabla.setModel(modelo);
        
        
        
    }
     private void limpiar(){
         this.control.setVenta(null);
         txtxValor.setText("");
         lblMes.setText("");
         fila =-1;
         cargarTabla();
         
     }
     private void cargarVenta(){
         fila = tblTabla.getSelectedRow();
         if ( fila >= 0 ){
             this.control.setVenta(this.control.getSucursal().getVentas()[fila]);
             txtxValor.setText(this.control.getVenta().getValormensual()+ "");
             lblMes.setText(this.control.getVenta().getMes().toString());
         }else 
             JOptionPane.showMessageDialog(null, "SEleccione una venta", "Error", JOptionPane.ERROR_MESSAGE);
         
     }
     private void modificar(){
        if (!txtxValor.getText().trim().isEmpty() && !lblMes.isEnabled()){
            
        }else 
            JOptionPane.showMessageDialog(null, "Llene los campos ", "Error", JOptionPane.ERROR_MESSAGE);
            
        
    }
   
    
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        lblSucursal = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        lblMes = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        txtxValor = new javax.swing.JTextField();
        btnGuardar1 = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblTabla = new javax.swing.JTable();
        btnSeleccionar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        getContentPane().setLayout(null);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("Ventas"));
        jPanel1.setLayout(null);

        jLabel1.setText("Nombre Sucursal: ");
        jPanel1.add(jLabel1);
        jLabel1.setBounds(10, 30, 110, 17);

        lblSucursal.setText("<nombre de sucursal>");
        jPanel1.add(lblSucursal);
        lblSucursal.setBounds(150, 30, 430, 17);

        jLabel2.setText("Mes Seleccionado: ");
        jPanel1.add(jLabel2);
        jLabel2.setBounds(10, 70, 130, 17);
        jPanel1.add(lblMes);
        lblMes.setBounds(150, 70, 140, 0);

        jLabel3.setText("Valor:");
        jPanel1.add(jLabel3);
        jLabel3.setBounds(380, 70, 60, 17);

        txtxValor.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtxValorActionPerformed(evt);
            }
        });
        jPanel1.add(txtxValor);
        txtxValor.setBounds(510, 70, 64, 23);

        btnGuardar1.setText("Guardar");
        jPanel1.add(btnGuardar1);
        btnGuardar1.setBounds(320, 130, 78, 23);

        getContentPane().add(jPanel1);
        jPanel1.setBounds(0, 0, 790, 180);

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder("Datos"));
        jPanel2.setLayout(null);

        tblTabla.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(tblTabla);

        jPanel2.add(jScrollPane1);
        jScrollPane1.setBounds(10, 30, 750, 210);

        btnSeleccionar.setText("Seleccionar");
        btnSeleccionar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSeleccionarActionPerformed(evt);
            }
        });
        jPanel2.add(btnSeleccionar);
        btnSeleccionar.setBounds(40, 290, 140, 23);

        getContentPane().add(jPanel2);
        jPanel2.setBounds(10, 210, 780, 390);
    }// </editor-fold>//GEN-END:initComponents

    private void txtxValorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtxValorActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtxValorActionPerformed

    private void btnSeleccionarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSeleccionarActionPerformed
        cargarVenta();
        
    }//GEN-LAST:event_btnSeleccionarActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmVentas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmVentas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmVentas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmVentas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the dialog */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                FrmVentas dialog = new FrmVentas(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    @Override
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnGuardar1;
    private javax.swing.JButton btnSeleccionar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel lblMes;
    private javax.swing.JLabel lblSucursal;
    private javax.swing.JTable tblTabla;
    private javax.swing.JTextField txtxValor;
    // End of variables declaration//GEN-END:variables
}
